Ankündigung

Einklappen
Keine Ankündigung bisher.

[PHP] Problem mit buildconf

Einklappen

Neue Werbung 2019

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • [PHP] Problem mit buildconf

    Ich wollte mir mal die Programmierung einer Erweiterung für PHP anschauen und bekomme nun bei ./buildconf folgende Meldung:

    [root@dilara php-5.1.0rc1]# ./buildconf --force
    Forcing buildconf
    using default Zend directory
    buildconf: checking installation...
    buildconf: autoconf version 2.59 (ok)
    buildconf: Your version of autoconf likely contains buggy cache code.
    Running cvsclean for you.
    To avoid this, install autoconf-2.13 and automake-1.5.
    Und die Versionen passen auch soweit ich das seh:

    [root@dilara php-5.1.0rc1]# automake --version
    automake (GNU automake) 1.9.5
    Written by Tom Tromey <tromey@redhat.com>.

    Copyright 2005 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    [root@dilara php-5.1.0rc1]# autoconf --version
    autoconf (GNU Autoconf) 2.59
    Written by David J. MacKenzie and Akim Demaille.

    Copyright (C) 2003 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    Was nun?


  • #2
    To avoid this, install autoconf-2.13 and automake-1.5.

    hast du automake in der version oder < höher install. ?

    Kommentar


    • #3
      Wenn du weiter unten schaust siehst du, dass ich folgende Versionen habe ganz frisch aus dem yum sogar:

      - Autoconf: 2.59
      - Automake: 1.9.5

      Das "buggy" irritiert mich ein wenig :!

      Kommentar


      • #4
        Your version of autoconf likely contains buggy cache code.
        dann solltest du eventuell die version 1.5 aufspielen ?

        Kommentar


        • #5
          1.5? Die ist ja noch älter als was gefordert wird. Meinst du vllt. 2.5? Also ich habe es per "yum install autoconf" bezogen und wieso sollte die neuste Version buggy sein?

          Also ich hab das nun auch mal auf nem anderen Rechner versucht der nen anderes OS hat und komplett anders ist und da kommt das selbe o_O Liegt das vllt. an dem buildconf von PHP?

          // Edit:
          rheinhp-5.1.0RC1# ./buildconf --force
          Forcing buildconf
          using default Zend directory
          buildconf: checking installation...
          buildconf: autoconf version 2.59 (ok)
          buildconf: Your version of autoconf likely contains buggy cache code.
          Running cvsclean for you.
          To avoid this, install autoconf-2.13 and automake-1.5.
          rebuilding configure
          aclocal.m4:2016: PHP_PROG_LEX is expanded from...
          rebuilding main/php_config.h.in
          autoheader: WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
          autoheader: WARNING: and `config.h.top', to define templates for `config.h.in'
          autoheader: WARNING: is deprecated and discouraged.
          autoheader:
          autoheader: WARNING: Using the third argument of `AC_DEFINE' and
          autoheader: WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
          autoheader: WARNING: `acconfig.h':
          autoheader:
          autoheader: WARNING: AC_DEFINE([NEED_FUNC_MAIN], 1,
          autoheader: [Define if a function `main' is needed.])
          autoheader:
          autoheader: WARNING: More sophisticated templates can also be produced, see the
          autoheader: WARNING: documentation.
          aclocal.m4:2016: PHP_PROG_LEX is expanded from...
          So siehts beim ersten ausführen aus. (so sah es bei mir beim ersten mal auch aus). Bei nem zweiten oder dritten mal kommt nurnoch die kürzere Version dieser Ausgabe.

          Kommentar


          • #6
            mhm.. wozu is dieses buildconf eigendlich gut?

            Kommentar


            • #7
              Zitat von Sclot
              mhm.. wozu is dieses buildconf eigendlich gut?
              soweit ich weiss um die eigene extension ins configure zu packen...

              *duck* falls ich das nun falsch interpretiert habe.

              Kommentar


              • #8
                buildconf baut das configure-Script, wozu es u.a. das ext-Verzeichnis nach extensions durchsucht, auch solche, die man da selber reingebaut hat.
                Ausserdem kommt die CVS-Version von PHP ohne configure-Script, soweit ich mich entsinne.
                mod = master of disaster

                Kommentar

                Lädt...
                X